Loading...
Searching...
No Matches
BALL::VIEW::GenericSelectionMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::GenericSelectionMessage:

## Public Member Functions

Constructors and Destructors
| GenericSelectionMessage ()
| GenericSelectionMessage (const GenericSelectionMessage &message)
virtual | ~GenericSelectionMessage ()
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Accessors: inspectors and mutators

void | setSelection (const std::list< Composite * > &selection)
const std::list< Composite * > & | getSelection () const
std::list< Composite * > & | getSelection ()

## Detailed Description

GenericSelectionMessage class. GenericSelectionMessage is a container for Composite objects that are somehow selected. It will be sent by existing ConnectionObject objects that collect Composites objects for a certain purpose.

Definition at line 433 of file message.h.

## Constructor & Destructor Documentation

## GenericSelectionMessage() [1/2]

BALL::VIEW::GenericSelectionMessage::GenericSelectionMessage | ( |  | ) |

Default Constructor. The state is set to:

- composite list - empty

## GenericSelectionMessage() [2/2]

BALL::VIEW::GenericSelectionMessage::GenericSelectionMessage | ( | const GenericSelectionMessage & | message | ) |

Copy constructor.

## ~GenericSelectionMessage()

virtual BALL::VIEW::GenericSelectionMessage::~GenericSelectionMessage | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getSelection() [1/2]

std::list< Composite * > & BALL::VIEW::GenericSelectionMessage::getSelection | ( |  | ) |

mutable inspection of the selection of Composite objects.

## getSelection() [2/2]

const std::list< Composite * > & BALL::VIEW::GenericSelectionMessage::getSelection | ( |  | ) | const

Non-mutable inspection of the selection of Composite objects.

## setSelection()

void BALL::VIEW::GenericSelectionMessage::setSelection | ( | const std::list< Composite * > & | selection | ) |

Change the selection of Composite objects. The selection list will be copied from the given list.